Bug 145625 - Remember state after crashes
Remember state after crashes
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-01-20 00:00 EST by Christopher Beland
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: f7
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-11 08:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2005-01-20 00:00:45 EST

Given how complicated web browsers are and the wide variety of input
they have to handle, they often crash.  Which is particularly annoying
if you, like me, usually have a large number of tabs or windows open
which contain a lot of state related to your current or future tasks.
My web browser also sometimes dies when my laptop battery konks out,
if I accidentally crash my X server, if I trip on my power cord, lean
on the power button, or after any of a number of minor computing

One of the best-ever features of Galeon is that upon startup after a
crash or unclean shutdown, it offers the user the chance to restore
their previous session.  It does this by simply recording open tabs
and windows in a file.  When the browser exits normally, the file is
deleted or empty.  So if the file exists on startup, Galeon knows it
died unexpectedly, and can restore state more or less as it was before
the interruption.

Everyone deserves a web browser with this feature.  It has saved me
annoyance and consternation and data loss sooo many times.  I hope
that it will either be incorporated into Firefox or a browser that
does have this feature will be chosen as the default for Fedora.

Thanks for reading,

Comment 1 Warren Togami 2005-09-11 08:07:19 EDT
AFAIK upstream Firefox does not have this feature, thus Fedora cannot do it. 
Request this feature upstream at bugzilla.mozilla.org.
Comment 2 Christopher Beland 2005-09-28 22:18:15 EDT
Okey...for the record, it's already been requested:

Comment 3 Christopher Beland 2007-08-26 15:50:00 EDT
This has been implemented in Firefox 2, which is included in Fedora 7.  (Yay!)

Note You need to log in before you can comment on or make changes to this bug.